# Uses of Interface
java.lang.classfile.instruction.TableSwitchInstruction

Packages that use TableSwitchInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of TableSwitchInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return TableSwitchInstruction
Modifier and Type
Method
Description
`static TableSwitchInstruction`
TableSwitchInstruction.`of(int lowValue, int highValue, Label defaultTarget, List<SwitchCase> cases)`
Returns a table switch instruction.